Skip to content

MDS System Requirements

Please note effective October 1, 2014 (FY 2015), CMS will no longer support Windows XP or Internet Explorer v8.0.  This means after October 1, 2014, you will not be able to transmit MDS and/or retrieve CASPER reports until you upgrade your internal system.  The recommended operating system is Windows 7 and the recommended browser is Internet Explorer v9.0.  Visit the QIES Technical Support Office at https://www.qtso.com/ to view Minimum System Requirements for Home Health Agencies, Hospice Providers, Long Term Care Facilities, Inpatient Rehabilitation Facilities and Long Term Care Hospitals.  NEW: FY2014 System Requirements [PDF 22KB].

This information is also available on the CMS MDS 3.0 System Welcome Page.

If you have any questions, please contact Joan Brundick, State RAI Coordinator at 573-751-6308 or joan.brundick@health.mo.gov, or contact Danette Beeson, State Automation Coordinator at 573-522-8421 or danette.beeson@health.mo.gov.

This entry was posted in Long Term Care Blog, MDS 3.0. Bookmark the permalink.